%define upstream_name    Dist-Zilla-Plugin-ReportPhase
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Report whats going on
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::BeforeArchive)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::BeforeMint)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::BuildRunner)
BuildRequires: perl(Dist::Zilla::Role::ConfigDumper)
BuildRequires: perl(Dist::Zilla::Role::FileFinder)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::MintingProfile)
BuildRequires: perl(Dist::Zilla::Role::ModuleMaker)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Role::ShareDir)
BuildRequires: perl(Dist::Zilla::Role::TestRunner)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildArch:  noarch

%description
This plugin was written to give the author some idea of the order that
various roles are invoked under different conditions. So, *ReportPhase*
implements every major role, and reports when it is being invoked. For best
results it should be used as both the very first, and the very last plugin
listed in dist.ini, as it will then report entering and exiting every
phase.

Other than this phase reporting, this plugin has no use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1026565
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 949605
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 790103
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 745193
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 537093
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 486305
- update to 0.03

* Sun Jan 13 2013 umeabot <umeabot> 0.0.0-2.mga3
+ Revision: 366397
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 jquelin <jquelin> 0.0.0-1.mga1
+ Revision: 71593
- imported package perl-Dist-Zilla-Plugin-ReportPhase


* Tue Mar 15 2011 cpan2dist 0.00-1mga
- initial mageia release, generated with cpan2dist
